Bug 500261 - Pre-Review Request: maven2-plugin-shade - Maven Shade Plugin
Pre-Review Request: maven2-plugin-shade - Maven Shade Plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 18:24 EDT by Fernando Nasser
Modified: 2009-09-01 02:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-01 02:28:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:24:57 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/maven2-plugin-shade.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/maven2-plugin-shade-1.0-3.jpp6.src.rpm

Description: 
This plugin provides the capability to package the artifact in an uber-jar, including its dependencies and to shade - i.e. rename - the packages of some of the dependencies.
Comment 1 Alexander Kurtakov 2009-05-15 07:59:41 EDT
Needed changes:
- the license field should be "ASL 2.0". Source files has "ASL 2.0" license.
- instructions for generating Source0 are broken
Comment 2 Fernando Nasser 2009-05-20 16:57:38 EDT
Spec URL: http://people.fedoraproject.org/~fnasser/maven2-plugin-shade.spec

SRPM URL:
http://people.fedoraproject.org/~fnasser/maven2-plugin-shade-1.0-4.jpp6.src.rpm

have the requested fixes.  Thanks for the pre-review.
Comment 3 Alexander Kurtakov 2009-05-20 17:18:43 EDT
The package is good to go.
Comment 4 Andrew Overholt 2009-08-24 14:05:24 EDT
Full review request:  bug #519051.
Comment 5 Alexander Kurtakov 2009-09-01 02:28:01 EDT
Build in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=130078

Note You need to log in before you can comment on or make changes to this bug.